Bug 1876463 (CVE-2020-3894) - CVE-2020-3894 webkitgtk: Race condition allows reading of restricted memory
Summary: CVE-2020-3894 webkitgtk: Race condition allows reading of restricted memory
Keywords:
Status: CLOSED ERRATA
Alias: CVE-2020-3894
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On: 1877119 1877358
Blocks: 1876477
TreeView+ depends on / blocked
 
Reported: 2020-09-07 09:36 UTC by Tomas Hoger
Modified: 2021-02-16 19:22 UTC (History)
3 users (show)

Fixed In Version: webkitgtk 2.28.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-09-29 22:02:10 UTC


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4035 0 None None None 2020-09-29 20:46:18 UTC
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:05:17 UTC

Description Tomas Hoger 2020-09-07 09:36:36 UTC
WebKitGTK Security Advisory WSA-2020-0005 describes the following issue:

CVE-2020-3894

Impact: An application may be able to read restricted memory. Description: A race condition was addressed with additional validation.

Versions affected: WebKitGTK before 2.28.0 and WPE WebKit before 2.28.0.

Comment 1 Tomas Hoger 2020-09-07 09:36:40 UTC
External References:

https://webkitgtk.org/security/WSA-2020-0005.html

Comment 4 errata-xmlrpc 2020-09-29 20:46:22 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 7

Via RHSA-2020:4035 https://access.redhat.com/errata/RHSA-2020:4035

Comment 5 Product Security DevOps Team 2020-09-29 22:02:10 UTC
This bug is now closed. Further updates for individual products will be reflected on the CVE page(s):

https://access.redhat.com/security/cve/cve-2020-3894

Comment 6 errata-xmlrpc 2020-11-04 01:05:15 UTC
This issue has been addressed in the following products:

  Red Hat Enterprise Linux 8

Via RHSA-2020:4451 https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.